package de.test.framework;

import de.test.framework.AbstractWSResult;


/**
 * WebServiceResult mit Rckgabewert String
 */
public final class StringWSResult extends AbstractWSResult
{
   private String m_Result;
   
   /**
    * Konstruktor
    */
   public StringWSResult()
   {
      super();
   }

   /**
    * Konstruktor
    * 
    * @param p_Error Fehlermeldung
    */
   public StringWSResult( ServerExceptionSO p_Error )
   {
      super( p_Error );
   }

   /**
    * Konstruktor
    * 
    * @param p_Result String-Wert
    */
   public StringWSResult( String p_Result )
   {
      super();
      m_Result = p_Result;
   }

   /**
    * Liefert das Ergebnis
    * 
    * @return String-Wert
    */
   public String getResult()
   {
      return m_Result;
   }

   /**
    * Setzt das Ergebnis
    * 
    * @param p_Result String-Wert
    */
   public void setResult( String p_Result )
   {
      m_Result = p_Result;
   }

}
